﻿@using NacGroup.Module.Core.Services
@inject IGettingGlobalConfigService GettingGlobalConfigService;
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = "Tạo tài khoản";
    Layout = "_Layout";

}
@section Style{
    <link href="/plugins/alertifyjs/css/alertify.css" rel="stylesheet" />
    <link href="/plugins/alertifyjs/css/themes/bootstrap.css" rel="stylesheet" />
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/account-page.min.css" rel="stylesheet" />
    <link href="/plugins/nacicon/css/nac-icon.css" rel="stylesheet" />
    <link href="/css/account-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/account-page.js"></script>
    <script src="/plugins/alertifyjs/alertify.js"></script>
    <script src="/plugins/input-mask/js/jquery.inputmask.bundle.js"></script>
    <script src="/js/account-page.js"></script>
    <script>
        $(document).ready(function () {
            $(".phoneinput").inputmask({ "mask": "999-999-9999" });
        });

/**/</script>
}





<main id="account-page">
    <div id="registration" class="container">
        <div class="acc--pagetit">Tạo tài khoản</div>
        <form id="register-form" onsubmit="return false; submitRegister();">
            <div class="form-group">
                <label>Họ<span class="required-text">*</span></label>
                <input type="text" class="form-control" name="FirstName" placeholder="Họ">
            </div>
            <div class="form-group">
                <label>Tên<span class="required-text">*</span></label>
                <input type="text" class="form-control" name="LastName" placeholder="Tên">
            </div>
            <div class="form-group">
                <label>Số điện thoại<span class="required-text">*</span></label>
                <input type="text" class="form-control phoneinput" name="Phone" placeholder="XXX-XXX-XXXX">
            </div>
            <div class="form-group">
                <label>Email<span class="required-text">*</span></label>
                <input type="text" class="form-control" name="Email" placeholder="you@example.com">
            </div>
            <div class="form-group">
                <label>Mật khẩu<span class="required-text">*</span></label>
                <input type="password" class="form-control" name="Password" placeholder="Mật khẩu">
            </div>
            <div class="form-group">
                <label>Nhập lại mật khẩu<span class="required-text">*</span></label>
                <input type="password" class="form-control" name="ConfirmPassword" placeholder="Nhập lại mật khẩu">
            </div>
            <div class="form-group">
                <div class="checkbox-container">
                    <input type="checkbox" id="Accept" name="accept">
                    <label for="Accept">
                        Có, tôi chấp nhận các 
                        <a href="javascript:">
                            điều khoản sử dụng
                        </a>.
                    </label>
                </div>
            </div>
            <div class="btn-container">
                <button class="btn btn-primary" type="submit" onclick="submitRegister()">Đăng kí</button>
                <a class="loginlink" href="/account/login">Đã có tài khoản? Đăng nhập</a>
            </div>
        </form>
    </div>
</main>